MAN-RECODE(1)

NAMN
man-recode - konvertera manualsidor från en kodning till en annan

SYNOPSIS
man-recode -t till-kod {--suffix=suffix|--in-place} [-dqhV] [filnamn]

BESKRIVNING
man-recode konverterar flera manualsidor från en kodning till en annan, medan en lämplig inmatningskodning gissas för var och en. Det är användbart när man permanent omkodar sidor skrivna i föråldrade teckenuppsättningar eller i byggsystem som måste koda om en uppsättning sidor till en gemensam kodning (vanligtvis UTF-8) för installation. När man konverterar många sidor är detta programmet mycket snabbare än att köra man --recode eller manconv för varje sida.

Om en kodningsdeklaration hittas på första raden på en manualsida kommer den deklarationen att användas som inmatningskodning för den sidan. Om det misslyckas kommer inmatningskodningen att gissas baserat på filnamnet.

Kodningsdeklarationer har följande form:

    '\" -*- coding: UTF-8 -*-

eller (om preprocessorer för manualsidans också ska deklareras):

    '\" t -*- coding: ISO-8859-1 -*-

FLAGGOR

-t kodning, --to-code=kodning
    Konvertera manualsidor till kodning.

--suffix=suffix
    Skapa varje utdatafilnamn genom att lägga till suffix på slutet av indatafilnamnet, efter att ha tagit bort eventuella kompressionsändelser.

--in-place
    Skriv över varje indatafil med utdatan efter att ha tagit bort eventuella kompressionsändelser.

-q, --quiet
    Mata inte ut felmeddelanden när sidan inte kan konverteras.

-d, --debug
    Skriver ut felsökningsinformation.

-h, --help
    Skriv ut ett hjälpmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

SE VIDARE
iconv(1), man(1), manconv(1)

FEL
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

UPPHOVSMAN
Colin Watson (cjwatson@debian.org).